import { SimpleLocalIntegration } from '../../core/index.js';
import { AirobotConfigFlow } from './airobot.classes.configflow.js';
import { createAirobotDiscoveryDescriptor } from './airobot.discovery.js';
import type { IAirobotConfig } from './airobot.types.js';
import { airobotDomain, airobotProfile } from './airobot.types.js';

export class AirobotIntegration extends SimpleLocalIntegration<IAirobotConfig> {
  public readonly domain = airobotDomain;
  public readonly discoveryDescriptor = createAirobotDiscoveryDescriptor();
  public readonly configFlow = new AirobotConfigFlow();

  constructor() {
    super(airobotProfile);
  }
}

export class HomeAssistantAirobotIntegration extends AirobotIntegration {}
